mochitest-chrome: sporadic failure: test_bug558403.xul | An error occurred - uncaught exception: 2147500037 at :0 (followed by 100's of failures with "An error occurred - Ci is not defined")

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

()

Reporter

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273704024.1273705023.25660.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/12 15:40:24
s: talos-r3-fed64-008

The initial failure is:
7498 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/content/tests/chrome/test_bug558403.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: 2147500037 at :0

And it's followed by hundreds of lines like this (in various tests):
7508 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/content/tests/chrome/test_dialogfocus.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Ci is not defined at chrome://mochikit/content/chrome/toolkit/content/tests/chrome/RegisterUnregisterChrome.js:63
7509 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/content/tests/chrome/test_dialogfocus.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Ci is not defined at chrome://mochikit/content/chrome/toolkit/content/tests/chrome/RegisterUnregisterChrome.js:63

I'm pretty sure the pushlog-blamed push can't have been responsible, so I'm filing this as a sporadic bug.
Reporter

Comment 1

9 years ago
(In reply to comment #0)
> And it's followed by hundreds of lines like this (in various tests):

Specifically, tbpl says there are 424 failures, I think all but the first of which are of the "An error occurred - Ci is not defined" variety.
Summary: sporadic failure: test_bug558403.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: 2147500037 at :0 (followed by hundreds of failures with "An error occurred - Ci is not defined") → mochitest-chrome: sporadic failure: test_bug558403.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: 2147500037 at :0 (followed by hundreds of failures with "An error occurred - Ci is not defined")
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274205504.1274205867.3688.gz
Linux mozilla-central opt test mochitest-other on 2010/05/18 10:58:24
s: mv-moz2-linux-ix-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274212297.1274214428.10471.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/18 12:51:37
s: talos-r3-fed64-020
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274654302.1274655273.12570.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/23 15:38:22
s: talos-r3-fed64-040
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274732866.1274734671.24232.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 13:27:46
s: talos-r3-fed64-009
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274738356.1274740047.16962.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 14:59:16
s: talos-r3-fed64-012
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274759219.1274760477.4354.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 20:46:59
s: talos-r3-fed64-010
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274912492.1274914874.1682.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/26 15:21:32
s: talos-r3-fed64-030
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275190220.1275192436.1704.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/29 20:30:20
s: talos-r3-fed64-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275213972.1275215744.943.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/30 03:06:12
s: talos-r3-fed64-034
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275290560.1275292596.2949.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/31 00:22:40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275358963.1275361469.25602.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/31 19:22:43
s: talos-r3-fed64-008
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275400673.1275401854.22357.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/01 06:57:53
s: talos-r3-fed64-007
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276146833.1276148954.31802.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/09 22:13:53
s: talos-r3-fed64-017
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
We are hitting this on Windows 7 unit tests as well.
This bug is still valid and there is no assigned owner.
This blocks us from switching from running unit tests on the builders to the minis and therefore improve wait times.

> SSLTUNNEL(00814DF0): polling flags csock(0)=--, ssock(1)=R-
> SSLTUNNEL(00814DF0): poll ti2714 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/content/tests/chrome/test_bug558403.xul | Test timed out.


Should these be different bugs? They both have this in common "[SimpleTest/SimpleTest.js, window.onerror]".
> 3527 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_service.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDownloadManager.resumeDownload]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_downloadstates.xul :: testSteps :: line 145"  data: no] at :0

> 3768 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/toolkit/mozapps/update/test/chrome/test_0033_available_incompat_basic.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: [Exception... "Not enough arguments [nsIPrefBranch2.setIntPref]"  nsresult: "0x80570001 (NS_ERROR_XPC_NOT_ENOUGH_ARGS)"  location: "JS frame :: chrome://mochikit/content/chrome/toolkit/mozapps/update/test/chrome/utils.js :: setupPrefs :: line 1399"  data: no] at :0
blocking2.0: --- → ?
Whiteboard: [orange] → [win7][orange]
Comment hidden (Legacy TBPL/Treeherder Robot)
Why is this under plug-ins?
Component: Plug-ins → General
QA Contact: plugins → general
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Comment 31

9 years ago
Comment 27, comment 29, and comment 30 are all Bug 581239, not this bug.

(In reply to comment #28)
> Why is this under plug-ins?

Randomorange bugs are supposed to be filed in the component that the random test is testing -- and this one is related to the plugin crashed UI, I think.  Hence, plugins.  Feel free to reassign to another component if appropriate -- I just guessed at what component would be best when I filed it.
Reporter

Updated

9 years ago
Summary: mochitest-chrome: sporadic failure: test_bug558403.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - uncaught exception: 2147500037 at :0 (followed by hundreds of failures with "An error occurred - Ci is not defined") → [Are you really seeing Bug 581239?]mochitest-chrome: sporadic failure: test_bug558403.xul | An error occurred - uncaught exception: 2147500037 at :0 (followed by 100's of failures with "An error occurred - Ci is not defined")
Given that this bug, as reported, hasn't happened since http://hg.mozilla.org/mozilla-central/rev/125ccddf2fc3 , I'm going to mark this as WORKSFORME.

The Win7 failure should have been a separate issue from the start; I'll file one shortly.
No longer blocks: win7-32bit-oranges
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [win7][orange] → [orange]
Reporter

Updated

9 years ago
Summary: [Are you really seeing Bug 581239?]mochitest-chrome: sporadic failure: test_bug558403.xul | An error occurred - uncaught exception: 2147500037 at :0 (followed by 100's of failures with "An error occurred - Ci is not defined") → mochitest-chrome: sporadic failure: test_bug558403.xul | An error occurred - uncaught exception: 2147500037 at :0 (followed by 100's of failures with "An error occurred - Ci is not defined")

Updated

9 years ago
blocking2.0: ? → ---
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.